This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 109156 - OS/2 can browse directories but not read files
OS/2 can browse directories but not read files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-04 23:21 EST by Felix Miata
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 3.0.24-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 11:28:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Felix Miata 2003-11-04 23:21:12 EST
Description of problem:
Using same /etc/samba/smb.conf file as used before replacing shrike
with test3, and the same as currently used successfully in SusE (same
machine) and Mandrake (different machine) in their samba 2.2.x
versions, W2K can both browse and read shared files and directories,
but OS/2 can only read directories, not files, always getting an
access denied when attempting to do so.

Version-Release number of selected component (if applicable):
3.0.0-15

How reproducible:
100%

Steps to Reproduce:
1.create share of Linux resource on the OS/2 box
2.browse the share
3.try to copy a file to a local destination
  
Actual results:
file access denied

Expected results:
file successfully copied

Additional info:
If there are clues to solving this in /var/log/samba/* or man samba,
I'm missing them. 

/etc/samba/user1.encrypt (OS/2)
encrypt passwords=no

/etc/samba/user1.cred (OS/2)
username = user1
password =

/etc/samba/user2.encrypt (W2K)
encrypt passwords=yes

/etc/samba/user2.cred (W2K)
username = user2
password =

/etc/samba/smb.conf
[global]
	dns proxy = No
	encrypt passwords = No
	include = %m.encrypt
	log file = /var/log/samba/log.%m
	netbios name = user3
	null passwords = Yes
	preferred master = No
	security = share
	server string = Samba Server %v
	socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
	valid users = user1,user2,user4
	workgroup = IBMPEERS
[home]
	comment = Home Directories
	path = /home
	read only = Yes
	browseable = Yes
[downloads]
	comment = Downloads Directory
	path = /home/downloads
	read only = No
	browseable = Yes
[isospace]
	comment = CD Storage
	path = /mnt/isospace
	read only = Yes
	browseable = Yes
[tmp]
	comment = tmp
	path = /tmp
	read only = Yes
	browseable = Yes
[windoze]
	comment = Windoze Drive C:
	path = /mnt/C
	read only = Yes
	browseable = Yes
Comment 1 Jay Fenlason 2004-11-30 11:13:19 EST
Can you confirm that this is still a problem with the recently released 3.0.9 
rpms? 
Comment 2 Felix Miata 2004-11-30 12:02:57 EST
Not until I get a chance to move from FC2 to FC3, maybe not until after Christmas. 
Comment 3 Jay Fenlason 2004-11-30 12:08:40 EST
I released 3.0.9 rpms for fc2 too, so you don't need to reinstall the whole 
box, just update the Samba packages. 
Comment 4 Felix Miata 2005-01-02 20:24:04 EST
No improvement as of samba-3.0.10-1.fc3
Comment 5 Felix Miata 2005-01-02 20:54:41 EST
https://bugzilla.samba.org/show_bug.cgi?id=1979 is the closest open
upstream bug I could find
Comment 6 Felix Miata 2006-11-07 10:39:30 EST
I cannot duplicate the problem in 3.0.23c-2 (FC6).
Comment 7 Christian Iseli 2007-01-22 05:32:33 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 8 Felix Miata 2007-01-22 08:26:39 EST
comment 6 is the answer to comment 7
Comment 9 Simo Sorce 2007-03-14 11:28:45 EDT
seem 3.0.23c-2 already fixed this, closing, repoen if still present in current
release

Note You need to log in before you can comment on or make changes to this bug.